X2Go Bug report logs - #321
PyHoca-GUI must not fail if a notification is not present

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sun, 13 Oct 2013 08:33:01 UTC

Severity: important

Tags: pending

Found in version 0.4.0.8

Fixed in version 0.4.0.9

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#321; Package pyhoca-gui. (Sun, 13 Oct 2013 08:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 13 Oct 2013 08:33:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: x2go-user@lists.berlios.de, submit@bugs.x2go.org
Subject: Re: [X2Go-User] pyhoca-gui error
Date: Sun, 13 Oct 2013 08:32:54 +0000
[Message part 1 (text/plain, inline)]
Package: pyhoca-gui
Severity: important
Version: 0.4.0.8

Hi Mathias,

On  Sa 12 Okt 2013 11:50:08 CEST, Mathias Ewald wrote:

> Hi, connecting to my server I get this since the day before  
> yesterday: Dunno what changed ...
>
> mathias@x220:~$ pyhoca-gui --debug
> Xlib.protocol.request.QueryExtension
> pyhoca-gui[15814] (PyHoca-GUI) DEBUG: PyHoca-GUI's user interface  
> language is: en_US.
> pyhoca-gui[15814] (PyHoca-GUI) INFO: PyHoca GUI is starting up
> pyhoca-gui[15814] (PyHoca-GUI) INFO: start TaskBarIcon of type:  
> ('__WXGTK__', 'wxGTK', 'unicode', 'gtk2', 'wx-assertions-off',  
> 'SWIG-1.3.29')
> pyhoca-gui[15814] (PyHoca-GUI) WARN: the current release of  
> PyHoca-GUI does not support client configuration
> pyhoca-gui[15814] (x2gosessregistry-pylib) NOTICE: registering X2Go  
> session **********...
> pyhoca-gui[15814] (x2goclient-pylib) NOTICE: initializing X2Go session...
> pyhoca-gui[15814] (x2gocontrolsession-pylib) NOTICE: connecting to  
> [**********]:22
> pyhoca-gui[15814] (PyHoca-GUI) INFO: SSH key authentication to  
> server failed, trying next auth-mechanism
> pyhoca-gui[15814] (PyHoca-GUI) INFO: password dialog box started
> pyhoca-gui[15814] (x2gocontrolsession-pylib) NOTICE: connecting to  
> [**********]:22
> pyhoca-gui[15814] (PyHoca-GUI) NOTICE: [********** - connect]  
> Authentication has been successful.
> Traceback (most recent call last):
>   File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/logon.py",  
> line 438, in OnLogin
>     self._PyHocaGUI.notifier.send(self.current_profile_name,  
> context='AUTH_%s' % self.current_profile_name, timeout=4000)
>   File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/notify.py",  
> line 137, in send
>     if not n.show():
> glib.GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown:  
> The name org.freedesktop.Notifications was not provided by any  
> .service files
> pyhoca-gui[15814] (PyHoca-GUI) INFO: exit application
> mathias@x220:~$
>
> For some reaseon pub key auth doesn't work anymore and even with  
> password auth it shows this error message.

You need one of the many tools providing a notification-daemon. Please  
install the appropriate notification-daemon package for your system:

dunst - Minimalistischer Benachrichtigungs-Daemon
libnotify4 - sendet Arbeitsflächenmeldungen an einen Meldungsdienst
notification-daemon - Daemon für die Anzeige aufklappender Nachrichten
notify-osd - Daemon, der passive Popup-Benachrichtigungen anzeigt
plasma-widgets-workspace - Plasma-Widgets und Widget-Gruppen für die  
KDE-Plasma-Arbeitsfläche
xfce4-notifyd - Einfacher, visuell ansprechender Meldungsdienst für Xfce
mate-notification-daemon - daemon to displays passive pop-up notifications

In newer distro versions, there is no dbus service file provide  
anymore, the notification-daemon needs to be launched via  
/etc/xdg/autostart/...

The fix in PyHoca-GUI will be not make pyhoca-gui execute without  
errors even if no notification-daemon is installed/started.

Regards,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Changed Bug title to 'PyHoca-GUI must not fail if a notification is not present' from '[X2Go-User] pyhoca-gui error' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 13 Oct 2013 08:48:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#321; Package pyhoca-gui. (Tue, 29 Oct 2013 09:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 29 Oct 2013 09:03:01 GMT) (full text, mbox, link).


Message #12 received at 321@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 321-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 321@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Tue, 29 Oct 2013 09:59:03 +0100 (CET)
tag #321 pending
fixed #321 0.4.0.9
thanks

Hello,

X2Go issue #321 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=299bb0e

The issue will most likely be fixed in src:pyhoca-gui (0.4.0.9).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 299bb0ee83d70c6c98cbc834e7d876cdff27d91f
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Oct 29 09:58:24 2013 +0100

    Don't crash if no notification-daemon provide is registered in DBUS. (Fixes: #321).

diff --git a/debian/changelog b/debian/changelog
index 131085e..9abb3f9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,8 @@ pyhoca-gui (0.4.0.9-0~x2go1) UNRELEASED; urgency=low
     - Support encrypted on SSH proxy whith password authentication on X2Go
       Server.
     - Implement two-factor authentication.
+    - Don't crash if no notification-daemon provide is registered in DBUS.
+      (Fixes: #321).
   * /debian/copyright:
     + Update file. Add entry for file icon2exe.py.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 29 Oct 2013 09:03:01 GMT) (full text, mbox, link).


Marked as fixed in versions 0.4.0.9. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 29 Oct 2013 09:03:01 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#321. (Tue, 29 Oct 2013 09:03:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#321; Package pyhoca-gui. (Wed, 08 Jan 2014 14:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 08 Jan 2014 14:35:01 GMT) (full text, mbox, link).


Message #24 received at 321@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 321-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 321@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Wed, 8 Jan 2014 15:34:46 +0100 (CET)
close #321
thanks

Hello,

we are very hopeful that X2Go issue #321 reported by you
has been resolved in the new release (0.4.0.9) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.4.0.9)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=5027631c6a7ac3f42dcbe23d7b7b4b10c0665620;hp=977c760856ee18c4679b042ff182d1ed61c4e61f

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.4.0.9-0x2go1
Status: RELEASE
Date: Wed, 08 Jan 2014 15:20:20 +0100
Fixes: 321
Changes: 
 pyhoca-gui (0.4.0.9-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (0.4.0.9):
     - Make notifications more robust.
     - Add support for encrypted/locked/passphrase-protected SSH private key
       files.
     - Only show notifications if there really is something to show.
     - Support encrypted on SSH proxy whith password authentication on X2Go
       Server.
     - Implement two-factor authentication.
     - Don't crash if no notification-daemon provide is registered in DBUS.
       (Fixes: #321).
     - Become aware of new Python X2Go hook method
       (HOOK_on_failing_SFTP_client).
     - Become aware of new Python X2Go hook method (HOOK_desktop_sharing_denied).
     - Connect to sharable desktop session when selecting the session display
       with double click from the list of available desktop sessions.
     - Allow multiple PyHoca-GUI instances for the same user, one per $DISPLAY.
     - Allow for full path taskbar icon names, resolve tilde char in icon file
       path.
     - Allow for full path about image icon names, resolve tilde char in icon
       file path.
     - Resolve tilde char in file path of the about image.
     - Resolve tilde char in file path of the splash image.
     - Resolve tilde char in base directories for the PyHoca-GUI application.
     - Resolve tilde char in session icon names.
     - Fix termination of published application sessions.
     - Initialize thisPyHocaGUI instance as NoneType object before starting
       the wxApplication.
     - Slight notification layout change for HOOK_on_control_session_death() method.
     - Update German and English translation.
     - When installing icons via setup.py, let's use the copied icons rather than
       the icon set from icons_symlinked. That assures that really all icons are
       present. (The icons_symlinked folder is rather Debianic and not appropriate
       for non-Debian derived distributions).
   * debian/copyright:
     + Update file. Add entry for file icon2exe.py.
   * debian/control:
     + Recommend mate-notification-daemon (or notification-daemon as fallback).
   * debian/source/format:
     + Switch to format 1.0.
   * pyhoca-gui.spec:
     + Ship pyhoca-gui.spec (RPM package definitions) in upstream project.
       (Thanks to the Fedora package maintainers).
     + Add to BR: python-argparse, python-cups.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (0.4.0.9):
     - Update Spanish translation.
 .
   [ Daniel Lindgren ]
   * New upstream release (0.4.0.9):
     - Update Swedish translation.


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#321. (Wed, 08 Jan 2014 14:35:03 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 08 Jan 2014 14:35:04 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Wed, 08 Jan 2014 14:35:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 06 Feb 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Sep 16 02:41:53 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.